<script lang="ts">
export default {
  name: 'NextSteps',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
};
</script>

<template>
  <section class="next-steps">
    <SlpContainer>
      <SlpTypography variant="heading2-bold" tag="h2">
        {{ data.heading }}
      </SlpTypography>
      <SlpTypography variant="heading2-bold" tag="h2" class="slp-mb-16">
        {{ data.subtitle }}
      </SlpTypography>
      <SlpTypography variant="heading4" tag="p" class="slp-mb-24">
        {{ data.text }}
      </SlpTypography>
      <SlpButton
        v-if="data.button"
        :href="
          data.button.url || 'https://gitlab.com/-/trial_registrations/new'
        "
        variant="primary"
        :data-ga-name="data.button.dataGaName || 'free trial'"
        :data-ga-location="data.button.dataGaLocation || 'feature'"
      >
        {{ data.button.cta_text }}
        <SlpIcon
          class="learn-more-icon slp-ml-8"
          name="chevron-lg-right"
          variant="product"
        />
      </SlpButton>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.next-steps {
  padding: $spacing-96 0;
  background: radial-gradient(
      50.08% 44.51% at 100% 100%,
      rgba(169, 137, 245, 0.2) 0,
      rgba(119, 89, 194, 0) 100%
    ),
    radial-gradient(
      60.76% 48.01% at 0 100%,
      rgba(226, 67, 41, 0.2) 0,
      rgba(226, 67, 41, 0) 100%
    ),
    #fff;

  .slp-btn {
    @media (max-width: $breakpoint-md) {
      width: 100%;
      justify-content: center;
    }
  }

  @media (max-width: $breakpoint-md) {
    padding: $spacing-64 0;
  }
}
</style>
